{
  "format_version": "1.21.0",
  "minecraft:single_block_feature": {
    "description": { "identifier": "silverlabs:hemp_single_feature" },
    "places_block": {
      "name": "silverlabs:hemp_crop",
      "states": {
        "silverlabs:hemp_age": 4,
        "silverlabs:hemp_top": false
      }
    },
    "enforce_survivability_rules": true,
    "enforce_placement_rules": true,
    "may_attach_to": {
      "min_sides_must_attach": 1,
      "top": [
        "minecraft:grass_block",
        "minecraft:dirt",
        "minecraft:podzol",
        "minecraft:coarse_dirt"
      ]
    },
    "may_replace": [
      "minecraft:air"
    ]
  }
}
